Customers
Get Customers List
GET
/v1/customers/Authorization
X-Api-Key
string required
API key generated in the Developers section of the Stablegate app. Send it in the
X-Api-Key header on every request; the partner API does not require request signing.Query parameters
limit
integer | null
offset
integer | null
client_id
string | null
email
string | null
phone
string | null
username
string | null
full_name
string | null
type
string | null
One of:
individual, corporatecountry_code
string | null
email_verified
boolean | null
kyc_level_key
string[]
risk_level_key
string[]
pattern
string | null
status
string[]
partner_uuid
string<uuid4> | null
partner_email
string | null
user_uuid
string<uuid4> | null
user_email
string | null
external_reference
string | null
email__like
string | null
phone__like
string | null
username__like
string | null
full_name__like
string | null
client_id__like
string | null
partner_full_name__like
string | null
partner_email__like
string | null
user_first_name__like
string | null
user_last_name__like
string | null
user_email__like
string | null
external_reference__like
string | null
created_at__lt
string<date> | null
created_at__lte
string<date> | null
created_at__gt
string<date> | null
created_at__gte
string<date> | null
with_attributes
boolean | null
is_funded
boolean | null
is_funded_updated_at__lt
string<date> | null
is_funded_updated_at__lte
string<date> | null
is_funded_updated_at__gt
string<date> | null
is_funded_updated_at__gte
string<date> | null
accuity_sanctions
boolean | null
accuity_sanctions_updated_at__lt
string<date> | null
accuity_sanctions_updated_at__lte
string<date> | null
accuity_sanctions_updated_at__gt
string<date> | null
accuity_sanctions_updated_at__gte
string<date> | null
video_verification_passed
boolean | null
video_verification_passed_updated_at__lt
string<date> | null
video_verification_passed_updated_at__lte
string<date> | null
video_verification_passed_updated_at__gt
string<date> | null
video_verification_passed_updated_at__gte
string<date> | null
first_deposit_date__lt
string<date> | null
first_deposit_date__lte
string<date> | null
first_deposit_date__gt
string<date> | null
first_deposit_date__gte
string<date> | null
sort
string | null
One of:
asc, descorder_by
string | null
One of:
id, uuid, client_id, email, phone, username, created_at, full_name, type, email_verified, country_code, status, kyc_level_key, kyc_level_order, risk_level_key, risk_level_order, partner_full_name, partner_email, user_first_name, user_last_name, user_email, is_funded, is_funded_updated_at, accuity_sanctions, accuity_sanctions_updated_at, video_verification_passed, video_verification_passed_updated_at, first_deposit_dateResponses
Successful Response
Type: object[].
uuid
string<uuid> required
customer_id
string required
external_reference
string | null
username
string required
email
string | null
full_name
string | null
type
string | null
state
string required
One of:
new, active, blocked, limited, closedkyc_level
object | null
uuid
string<uuid4> required
legal_entity_uuid
string<uuid4> required
key
string required
client_type
string required
One of:
individual, corporate, allname
string | null
title
string | null
icon
string | null
approval_date
string<date-time> | null
approved_by
object | null
uuid
string<uuid4> required
first_name
string | null
last_name
string | null
phone
string | null
email_verified
boolean required
country_name
string | null
country_code
string | null
created_at
string<date-time> required
Validation Error
trace_id
string required
error_code
string required
One of:
devapi_internal_error, devapi_request_validation_error, devapi_iban_parse_error, devapi_customer_close_error, devapi_bank_code_required_error, devapi_download_aol_error, devapi_not_found_error, devapi_bad_request_error, devapi_email_occupied_error, devapi_idempotency_invalid_key, devapi_idempotency_key_misuse, devapi_idempotency_request_in_progress, devapi_kyc_application_link_error, devapi_instant_verification_error, devapi_unauthorized_error, devapi_forbidden_error, devapi_method_not_allowed_error, devapi_service_unavailable_errormessage
string required
details
object[] required
loc
string | string[] required
msg
string required
type
string required
curl https://api.stablegate.com/v1/customers/ \
--header 'X-Api-Key: YOUR_API_KEY'
[
{
"uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"customer_id": "string",
"external_reference": "string",
"username": "string",
"email": "string",
"full_name": "string",
"type": "string",
"state": "new",
"kyc_level": {
"uuid": "string",
"legal_entity_uuid": "string",
"key": "string",
"client_type": "individual",
"name": "string",
"title": "string",
"icon": "string",
"approval_date": "2026-01-01T00:00:00Z",
"approved_by": {
"uuid": "string",
"first_name": "string",
"last_name": "string"
}
},
"phone": "string",
"email_verified": true,
"country_name": "string",
"country_code": "string",
"created_at": "2026-01-01T00:00:00Z"
}
]
{
"trace_id": "string",
"error_code": "devapi_internal_error",
"message": "string",
"details": [
{
"loc": "string",
"msg": "string",
"type": "string"
}
]
}